pub mod server;
pub mod web;

pub enum MatchmakerError {
    AlreadyExists,
    InternalError(String),
    LimitReached(String),
    Unauthorized,
    AntiSpam(String),
}

pub trait Matchmaker {
    fn run(&mut self);
}

struct DefaultMatchmaker {}
